import 'package:flutter/material.dart';
import 'package:nav_router/nav_router.dart';
import 'tivio_player_skip_ad_widget.dart';
import 'tivio_player_controls_widget.dart';
import 'tivio_player_animated_controls_widget.dart';
import 'tivio_player_error_widget.dart';

class PlayerUiIndex extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Player UI'),
      ),
      body: Flex(
        direction: Axis.vertical,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          TextButton(
            onPressed: () => routePush(TivioPlayerSkipAdWidget(), RouterType.material),
            child: Text('Skip ad buttons'),
          ),
          TextButton(
            onPressed: () => routePush(TivioPlayerControlsWidget(), RouterType.material),
            child: Text('Tivio player controls'),
          ),
          TextButton(
            onPressed: () => routePush(TivioPlayerAnimatedControlsWidget(), RouterType.material),
            child: Text('Tivio player animated controls'),
          ),
          TextButton(
            onPressed: () => routePush(TivioPlayerErrorWidget(), RouterType.material),
            child: Text('Tivio player error'),
          ),
        ],
      ),
    );
  }
}
