import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:tivio_sdk/tivio.dart';
import 'package:tivio_sdk/player/controls/better_player_control.dart';
import 'package:tivio_sdk/player/controls/better_player_ui_press_controls.dart';

class TivioPlayerAnimatedControlsWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    SystemChrome.setPreferredOrientations([DeviceOrientation.landscapeLeft]);

    return Scaffold(
      body: SafeArea(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: [
            Expanded(
              flex: 1,
              child: Container(
                color: Colors.pinkAccent,
                child: BetterPlayerAnimatedControlUi(
                  controls: BetterPlayerUiPressControls(
                    onPlayPressed: () => null,
                    onPausePressed: () => null,
                    onForwardPressed: () => null,
                    onBackwardPressed: () => null,
                    onEnterFullscreenPressed: () => null,
                    onExitFullscreenPressed: () => null,
                    onSeekingStarted: () => null,
                    onSeekingEnded: (Duration position) => null,
                  ),
                  tivioPlayerColors: TivioPlayerColors(),
                  tivioPlayerLayout: TivioPlayerLayout(
                    topRight: TivioPlayerLayoutTopRight.custom,
                    topRightCustomWidget: InkWell(
                      onTap: () => print('Tap on custom icon'),
                      child: Icon(
                        Icons.close,
                        color: Colors.white,
                        size: 24,
                      ),
                    ),
                  ),
                  isPlaying: false,
                  isBuffering: false,
                  isInFullscreen: true,
                  progress: Duration(seconds: 30),
                  duration: Duration(seconds: 60),
                  overwriteProgress: (Duration overwrittenProgress) => null,
                  buffered: [],
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
