import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';

class TivioPlayerPlayByController extends StatelessWidget {
  final Tivio tivio;
  final String videoId;
  final String videoUrl;
  final TivioPlayerController tivioPlayerController = TivioPlayerController();

  TivioPlayerPlayByController({
    this.tivio,
    this.videoId,
    this.videoUrl,
  });

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Select video and play'),
      ),
      body: SingleChildScrollView(
        child: Flex(
          direction: Axis.vertical,
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            TivioPlayer(
              playerId: 'demo',
              tivio: tivio,
              tivioPlayerController: tivioPlayerController,
            ),
            TextButton(
                onPressed: () {
                  var data = Map();
                  data['id'] = videoId;
                  data['name'] =  'Demo video 1';
                  data['url'] = videoUrl;
                  tivioPlayerController.openAndPlay(TivioDataVideo.fromJson(data));
                },
                child: Text('Video 1'))
          ],
        ),
      ),
    );
  }
}
