import 'package:flutter/material.dart';

class BetterPlayerError extends StatelessWidget {
  final void Function() onPressed;

  BetterPlayerError({
    required this.onPressed,
  });

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Expanded(
          flex: 1,
          child: Container(
            color: Color.fromRGBO(0, 0, 0, 0.5),
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    Padding(
                      padding: EdgeInsets.only(right: 10),
                      child: Icon(
                        Icons.warning,
                        color: Colors.white,
                        size: 24,
                      ),
                    ),
                    Text(
                      'Video se nepodařilo přehrát',
                      style: TextStyle(color: Colors.white, fontSize: 18),
                    )
                  ],
                ),
                TextButton(
                  onPressed: () => onPressed(),
                  style: ButtonStyle(
                    overlayColor: MaterialStateProperty.all<Color>(
                      Color.fromRGBO(255, 255, 255, 0.1),
                    ),
                  ),
                  child: Text(
                    'Zkusit znovu',
                    style: TextStyle(
                      color: Colors.white,
                      fontSize: 18,
                    ),
                  ),
                ),
              ],
            ),
          ),
        )
      ],
    );
  }
}
