import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

class SvgButton extends StatelessWidget {
  final String iconName;
  final void Function() onTap;
  final double? width;
  final double? height;
  final double padding;

  SvgButton({
    required this.iconName,
    required this.onTap,
    this.width,
    this.height,
    this.padding = 0.0,
  });

  @override
  Widget build(BuildContext context) {
    return Material(
      child: InkWell(
        onTap: () => onTap(),
        child: Padding(
          padding: EdgeInsets.all(padding),
          child: SvgPicture.asset(
            'packages/tivio_sdk/assets/${iconName}.svg',
            semanticsLabel: iconName,
            width: width,
            height: height,
          ),
        ),
      ),
      color: Colors.transparent,
    );
  }
}
